// Arduino Nano alias Empfänger

#include <SPI.h>
#include "RF24.h"
#include <LiquidCrystal_I2C.h>
#include <Wire.h>

LiquidCrystal_I2C lcd(0x27,16,2);  // set the LCD address to 0x27 for a 16 chars and 2 line display. ACHTUNG: Adresse kann auch 0x3F sein !!!

// Anschlüsse:
// GND - GND
// VCC - 5V
// SDA - ANALOG Pin 4
// SCL - ANALOG pin 5

const uint64_t pipe = 0xE8E8F0F0E1LL; 

bool done;
float message[2];


// Funkmodul NRF24L01 mit Arduino-Pins verbinden:
// SCK -> 13 // MISO -> 12 // MOSI -> 11 // CSN -> 10  // CE -> 9
// SPI-Bus Pins 9 und 10
// ==============================================================

RF24 radio(9,10);


// ===========================
// ========== SETUP ==========
// ===========================

void setup()
   {
    Serial.begin(9600);  
    
    radio.begin();

    radio.openReadingPipe(1, pipe); 
    radio.startListening();
   
    lcd.init();                      // initialize the lcd 
    lcd.backlight();
    lcd.setCursor(0,0);
    lcd.print("P:");
    lcd.setCursor(0,1);
    lcd.print("rpm:");       
   }


// ===================================
// ========== HAUPTSCHLEIFE ==========
// ===================================

void loop()
   {
    if (radio.available())
       {
        done = false;
    
        while (!done)
           {
            done = radio.read(message, 8);    // ACHTUNG: Für jeden übertragenen Integerwert 4 Byte!  
           }
       }
       
    
    Serial.print(message[0],0);
    Serial.print("    ");
    Serial.println(60/message[1],0);
        
    
    
    lcd.setCursor(3,0);
    lcd.print("       ");
    lcd.setCursor(3,0);
    lcd.print(message[0],0);
    lcd.print(" W");
    lcd.setCursor(5,1);
    lcd.print("    ");
    lcd.setCursor(5,1);    
    lcd.print(60/message[1],0);   
        
   }
